/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.sling.distribution.agent.impl;

import org.apache.sling.api.resource.ResourceResolverFactory;
import org.apache.sling.jcr.api.SlingRepository;
import org.junit.Test;

import static org.junit.Assert.assertNotNull;
import static org.mockito.Mockito.mock;

/**
 * Tests for {@link SimpleDistributionAgentAuthenticationInfo}
 */
public class SimpleDistributionAgentAuthenticationInfoTest {

    @Test
    public void testInfoNotNull() throws Exception {
        SlingRepository slingRepository = mock(SlingRepository.class);
        String agentService = "dumb";
        ResourceResolverFactory resourceResolverFactory = mock(ResourceResolverFactory.class);
        String subServiceName = "ssn";
        SimpleDistributionAgentAuthenticationInfo authenticationInfo = new SimpleDistributionAgentAuthenticationInfo(slingRepository,
                agentService, resourceResolverFactory, subServiceName);
        assertNotNull(authenticationInfo.getAgentService());
        assertNotNull(authenticationInfo.getResourceResolverFactory());
        assertNotNull(authenticationInfo.getSlingRepository());
        assertNotNull(authenticationInfo.getSubServiceName());
    }

}